# yaranullin/conf.py

#
# Copyright (c) 2010 Marco Scopesi <marco.scopesi@gmail.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import os

home_dir = os.environ['HOME']
yr_dir = os.path.join(home_dir, '.yaranullin')
yr_res_dir = os.path.join(yr_dir, 'resources')
yr_save_dir = os.path.join(yr_dir, 'save')

client_conf = {'main-yr_dir' : yr_dir,
               'main-yr_res_dir' : yr_res_dir,
               'main-yr_save_dir' : yr_save_dir,
               'main-yr_auto_save' : os.path.join(yr_save_dir, 'autosave.yrn'),
               'network-host' : 'localhost',
               'network-port' : 31425,
               'screen-width': 1000,
               'screen-height': 500,
               'colors-hud_pawns': '#0000FF',
               'colors-hud_current_pawn' : '#00FF00',
               'colors-grid_fill' : '#FF00000F',
               'colors-grid_border' : '#FF000096'}
               
server_conf = {'network-host' : 'localhost',
               'network-port' : 31425}
