# yaranullin/dialogs.py

#
# Copyright (c) 2010 Marco Scopesi <marco.scopesi@gmail.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import pgu_gui as gui


class TestDialog(gui.Dialog):

    def __init__(self):
        title = gui.Label("Some Dialog Box")
        label = gui.Label("Close this window to resume.")
        gui.Dialog.__init__(self, title, label)


class SetBoardDialog(gui.Dialog):

    def __init__(self):
        title = gui.Label("Set a new board...")
        t = gui.Table()
        t.tr()
        self.value = gui.Form()

        tt = gui.Table()
        tt.tr()
        tt.td(gui.Label(' Background image: '), 1, 0)
        tt.td(gui.Input(name='fname', value='dungeon.png', size=20))

        t.td(tt, colspan=2)
        t.tr()
        tt = gui.Table()
        tt.tr()
        tt.td(gui.Label(' Real width: '), 1, 0)
        tt.td(gui.Input(name='real_w', value='100', size=20))

        t.td(tt, colspan=2)

        t.tr()
        e = gui.Button("Okay")
        e.connect(gui.CLICK, self.send, gui.CHANGE)
        t.td(e)

        e = gui.Button("Cancel")
        e.connect(gui.CLICK, self.close, None)
        t.td(e)

        gui.Dialog.__init__(self, title, t)


class AddPawnDialog(gui.Dialog):

    def __init__(self):
        title = gui.Label("Add a new pawn...")
        t = gui.Table()
        t.tr()
        self.value = gui.Form()

        tt = gui.Table()
        tt.tr()
        tt.td(gui.Label(' Image: '), 1, 0)
        tt.td(gui.Input(name='fname', value='pawn.png', size=20))
        t.td(tt, colspan=2)

        t.tr()
        tt = gui.Table()
        tt.tr()
        tt.td(gui.Label(' Name: '), 1, 0)
        tt.td(gui.Input(name='pname', value='Yaranullin', size=20))
        t.td(tt, colspan=2)

        t.tr()
        tt = gui.Table()
        tt.tr()
        tt.td(gui.Label(' Initiative: '), 1, 0)
        tt.td(gui.Input(name='initiative', value='10', size=2))
        t.td(tt, colspan=2)

        t.tr()
        e = gui.Button("Okay")
        e.connect(gui.CLICK, self.send, gui.CHANGE)
        t.td(e)

        e = gui.Button("Cancel")
        e.connect(gui.CLICK, self.close, None)
        t.td(e)

        gui.Dialog.__init__(self, title, t)
