# yaranullinClient.py

#
# Copyright (c) 2010 Marco Scopesi <marco.scopesi@gmail.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
import os
import shutil
import sys

import pygame

src_path = os.path.join('.', 'src')
sys.path.insert(0, src_path)

import pgu_gui as gui
from yaranullin.conf import conf
from yaranullin.game import Game
from yaranullin.toolkit import load_config


yr_dir = conf['main-yr_dir']
yr_res_dir = conf['main-yr_res_dir']
yr_save_dir = conf['main-yr_save_dir']


folders_to_check = [yr_res_dir, yr_save_dir]
for folder in folders_to_check:
    try:
        os.makedirs(folder)
        print "Created folder %s" % folder
    except OSError:
        pass

# We need to check if a configuration file is readable or supply a default one
fname = os.path.join(yr_dir, 'config_client.txt')
if not os.access(fname, os.R_OK):
    conf_file = os.path.join('src', 'yaranullin', 'data', 'config_client.txt')
    shutil.copy(conf_file, yr_dir)
load_config(fname)

pygame.init()
app = Game()

app.connect(gui.QUIT, app.quit)

app.run()
pygame.quit()
