# yaranullinServer.py

#
# Copyright (c) 2010 Marco Scopesi <marco.scopesi@gmail.com>
#
# Permission to use, copy, modify, and distribute this software for any
# purpose with or without fee is hereby granted, provided that the above
# copyright notice and this permission notice appear in all copies.
#
# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#

import sys
import os

src_path = os.path.join('.', 'src')
sys.path.insert(0, src_path)

from time import sleep

from PodSixNet.Server import Server
from PodSixNet.Channel import Channel


class EchoChannel(Channel):
    """
    This is the server representation of a single connected client.
    """

    def __init__(self, *args, **kwargs):
        Channel.__init__(self, *args, **kwargs)

    def Close(self):
        print self, 'Client disconnected'

    def Network(self, data):
        print self, data

    def Network_game(self, data):
        print data['message']


class EchoServer(Server):
    channelClass = EchoChannel

    def __init__(self, *args, **kwargs):
        Server.__init__(self, *args, **kwargs)
        print 'Server launched'

    def Connected(self, channel, addr):
        print channel, "Channel connected"

    def Launch(self):
        try:
            while True:
                self.Pump()
                sleep(0.0001)
        except KeyboardInterrupt:
            print "\nShutting down YaranullinServer..."
            sys.exit(0)

host, port = 'localhost', 31425
s = EchoServer(localaddr=(host, int(port)))
s.Launch()
